<?php
return [
	'ctrl' => [
		'title' => 'LLL:EXT:datec_contact/Resources/Private/Language/locallang.xlf:tx_dateccontact_domain_model_contact',
		'label' => 'fe_user',
		'label_alt' => 'username,email,cruser_id',	
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'dividers2tabs' => TRUE,
		'delete' => 'deleted',
		'enablecolumns' => [
			'disabled' => 'hidden',
		],
		'searchFields' => 'fe_user, username, name, first_name, middle_name, last_name, email',
		'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath('datec_contact') . 'Resources/Public/Icons/tx_dateccontact_domain_model_contact.gif'
	],
	'interface' => [
		'showRecordFieldList' => 'fe_user, username, name, first_name, middle_name, last_name, email',
	],
	'types' => [
		'1' => ['showitem' => '
			--palette--;LLL:EXT:cms/locallang_ttc.xlf:palette.general;general,
            	hidden,
				blocked,
				fe_user,
				username,
				name, 
				first_name, 
				middle_name, 
				last_name,
				address,
				telephone,
				fax,
				email,
				title,
				zip,
				city,
				country,
				www,
				company
		'],
	],
	'palettes' => [
		'1' => ['showitem' => ''],
	],
	'columns' => [
		'hidden' => [
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.hidden',
			'config' => [
				'type' => 'check',
			],
		],
		'blocked' => [
			'exclude' => 1,
			'label' => 'LLL:EXT:datec_contact/Resources/Private/Language/locallang.xlf:tx_dateccontact_domain_model_contact.blocked',
			'config' => [
				'type' => 'check',
			],
		],
		'fe_user' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_contact/Resources/Private/Language/locallang.xlf:tx_dateccontact_domain_model_contact.feUser',
			'config' => [
				'type' => 'select',
				'items' => [
					['',0],
				],
				'foreign_table' => 'fe_users',
				'foreign_table_where' => ' ORDER BY fe_users.uid',
				'foreign_field' => 'uid',
				'foreign_label' => 'username,last_name,first_name,email',
				'size' => 1,
				'minitems' => 0,
				'maxitems' => 1,
			],
		],
		'username' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_contact/Resources/Private/Language/locallang.xlf:tx_dateccontact_domain_model_contact.username',
			'config' => [
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			],
		],
		'name' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_contact/Resources/Private/Language/locallang.xlf:tx_dateccontact_domain_model_contact.name',
			'config' => [
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			],
		],
		'first_name' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_contact/Resources/Private/Language/locallang.xlf:tx_dateccontact_domain_model_contact.first_name',
			'config' => [
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			],
		],
		'middle_name' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_contact/Resources/Private/Language/locallang.xlf:tx_dateccontact_domain_model_contact.middle_name',
			'config' => [
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			],
		],		
		'last_name' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_contact/Resources/Private/Language/locallang.xlf:tx_dateccontact_domain_model_contact.last_name',
			'config' => [
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			],
		],
		'address' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_contact/Resources/Private/Language/locallang.xlf:tx_dateccontact_domain_model_contact.address',
			'config' => [
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			],
		],
		'telephone' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_contact/Resources/Private/Language/locallang.xlf:tx_dateccontact_domain_model_contact.telephone',
			'config' => [
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			],
		],
		'fax' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_contact/Resources/Private/Language/locallang.xlf:tx_dateccontact_domain_model_contact.fax',
			'config' => [
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			],
		],
		'email' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_contact/Resources/Private/Language/locallang.xlf:tx_dateccontact_domain_model_contact.email',
			'config' => [
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			],
		],
		'title' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_contact/Resources/Private/Language/locallang.xlf:tx_dateccontact_domain_model_contact.title',
			'config' => [
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			],
		],			
		'zip' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_contact/Resources/Private/Language/locallang.xlf:tx_dateccontact_domain_model_contact.zip',
			'config' => [
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			],
		],		
		'city' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_contact/Resources/Private/Language/locallang.xlf:tx_dateccontact_domain_model_contact.city',
			'config' => [
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			],
		],
		'country' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_contact/Resources/Private/Language/locallang.xlf:tx_dateccontact_domain_model_contact.country',
			'config' => [
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			],
		],
		'www' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_contact/Resources/Private/Language/locallang.xlf:tx_dateccontact_domain_model_contact.www',
			'config' => [
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			],
		],
		'company' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_contact/Resources/Private/Language/locallang.xlf:tx_dateccontact_domain_model_contact.company',
			'config' => [
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			],
		],
	],
];