<?php
return [
	'ctrl' => [
		'title' => 'LLL:EXT:datec_contact/Resources/Private/Language/locallang.xlf:tx_dateccontact_domain_model_contactmessage',
		'label' => 'text',
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'dividers2tabs' => TRUE,
		'delete' => 'deleted',
		'enablecolumns' => [
			'disabled' => 'hidden',
		],
		'searchFields' => 'contact, text',
		'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath('datec_contact') . 'Resources/Public/Icons/tx_dateccontact_domain_model_contactmessage.gif'
	],
	'interface' => [
		'showRecordFieldList' => 'contact, text, crdate, subject',
	],
	'types' => [
		'1' => ['showitem' => '
			--palette--;LLL:EXT:cms/locallang_ttc.xlf:palette.general;general,
            	hidden,
				crdate,
				contact,
				subject,				
				text,
		'],
	],
	'palettes' => [
		'1' => ['showitem' => ''],
	],
	'columns' => [
		'hidden' => [
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.hidden',
			'config' => [
				'type' => 'check',
			],
		],
		'crdate' => [
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.creationDate',
			'config' => [
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => [
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				],
			],
		],
		'contact' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_contact/Resources/Private/Language/locallang.xlf:tx_dateccontact_domain_model_contactmessage.contact',
			'config' => [
				'type' => 'select',
				'foreign_table' => 'tx_dateccontact_domain_model_contact',
				'foreign_table_where' => ' ORDER BY tx_dateccontact_domain_model_contact.uid',
				'foreign_label' => 'username,name,last_name,fe_user',
				'size' => 1,
				'minitems' => 1,
				'maxitems' => 1,
				'eval' => 'required',
			],
		],
		'subject' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_contact/Resources/Private/Language/locallang.xlf:tx_dateccontact_domain_model_subject.subject',
			'config' => [
				'type' => 'select',
				'foreign_table' => 'tx_dateccontact_domain_model_subject',
				'foreign_table_where' => ' ORDER BY tx_dateccontact_domain_model_subject.uid',
				'foreign_label' => 'name',
				'size' => 1,
				'minitems' => 1,
				'maxitems' => 1,
				
			],
		],
		'text' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_contact/Resources/Private/Language/locallang.xlf:tx_dateccontact_domain_model_contactmessage.text',
			'config' => [
				'type' => 'text',
				'cols' => 30,
				'rows' => 5,
			],
			'defaultExtras' => 'richtext[]:rte_transform[flag=rte_enabled|mode=ts_css]'
		],
	],
];